<?php



class PerfilesCredencialesMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.PerfilesCredencialesMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('PERFILES_CREDENCIALES');
		$tMap->setPhpName('PerfilesCredenciales');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('ID_PERFIL', 'IdPerfil', 'double' , CreoleTypes::NUMERIC, 'PERFILES', 'ID', true, 22);

		$tMap->addForeignPrimaryKey('ID_CREDENCIAL', 'IdCredencial', 'double' , CreoleTypes::NUMERIC, 'CREDENCIALES', 'ID', true, 22);

		$tMap->addColumn('USERNAME', 'Username', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('UPDATE_AT', 'UpdateAt', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 